前端依赖缺失(choerodon-front-boot@0.10.4)


#1
  • Choerodon平台版本:0.14.0

  • UI 组件版本:0.10.4

  • 运行环境:自主搭建

  • 问题描述:

    请尽量详细的描述您遇到的问题,以便我们能更快速的提供解决办法。

  • 执行的操作:
    clone代码choerodon-front-test-manager工程后,按照部署文档,执行npm install安装,依赖报错。

  • 报错信息(请尽量使用代码块的形式展现):

npm ERR! code ETARGET
npm ERR! notarget No matching version found for choerodon-front-boot@0.10.4
npm ERR! notarget In most cases you or one of your dependencies are requesting
npm ERR! notarget a package version that doesn't exist.
npm ERR! notarget 
npm ERR! notarget It was specified as a dependency of 'testManager'
npm ERR! notarget 
  • 建议:

    如果可以,新版本发布后,在全新服务器中验证一遍安装指南,以排除所有依赖缺失情况。 非常感谢


#3

boot 0.10.4还没发布到公库,所以会找不到,
可以修改boot版本号到0.10.3

建议拉取tag上的代码,tag上的依赖在npm公库都是有的


#4

OK,使用这个低版本是可以构建安装成功的。 感谢。